<?php
namespace nur\data\types;

trait Tmd {
  /** @var Metadata */
  private static $md;

  protected function md(): ?Metadata {
    $schema = self::SCHEMA;
    if ($schema === null) return null;
    else return md_utils::ensure_md($md, $schema);
  }
}
